﻿var docObj = app.activeDocument;　//選択中ドキュメント
var selObj = docObj.selection;  //選択中オブジェクト
if(selObj.length === 0){
    alert ("オブジェクトが選択されていません");
}else{
    app.coordinateSystem = CoordinateSystem.ARTBOARDCOORDINATESYSTEM;//アートボードの座標を基準にするように設定

    for( var i = 0; i < selObj.length; i++){
        //オブジェクトの座標値　ここから
        var left = selObj[i].geometricBounds[0];        //オブジェクトのX座標　左
        var top = selObj[i].geometricBounds[1];        //オブジェクトのY座標　上
        var right= selObj[i].geometricBounds[2];        //オブジェクトのX座標　右
        var bottom = selObj[i].geometricBounds[3];        //オブジェクトのY座標　下
        //オブジェクトの座標値　ここまで
    
        //縦ライン　ここから
        var selWidth = selObj[i].width;    
        drawLine ([right - ratio(selWidth), top],[right - ratio(selWidth), bottom]);    
        drawLine ([left + ratio(selWidth), top],[left + ratio(selWidth), bottom]);
        //縦ライン　ここまで
    
        //横ライン　ここから
        var selHeight = selObj[i].height;
        drawLine ([left, bottom + ratio(selHeight)],[right, bottom + ratio(selHeight)]);
        drawLine ([left, top - ratio(selHeight)],[right, top - ratio(selHeight)]);
        //横ライン　ここまで
    };//for
};

//線描画　ここから
function drawLine(startPoint,endPoint){
    line = docObj.activeLayer.pathItems.add();  //パスアイテム追加
    line.setEntirePath ([startPoint,endPoint]); //線：setEntirePath(始点[X座標、Y座標],終点[X座標、Y座標]])
    line.strokeColor = setCMYKColor(0,0,0,30);
    return line;
};
//線描画　ここまで

//黄金比の計算　ここから
function ratio(split){
    return split * 61.8 /100;
};
//黄金比の計算　ここまで
 
 
 function setCMYKColor(c,m,y,k){
    var CMYK = new CMYKColor();//CMYKの初期化
    CMYK.cyan = c;
    CMYK.magenta = m;
    CMYK.yellow = y;
    CMYK.black = k;
    return CMYK
 }